Name: R-VR
Summary: R port of "Modern Applied Statistics with S-PLUS" libraries
Group: Applications/Engineering
Copyright: GPL
URL: http://www.stats.ox.ac.uk/pub/MASS2/
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
BuildRoot: /var/tmp/R-VR
Icon: logosm-trans.gif
Version: 5.3pl037.R1
Release: 2
Source: ftp://ftp.stat.math.ethz.ch/R-CRAN/src/contrib/VR_5.3pl037-1.tar.gz  
Requires: R-base >= 0.64.0
Excludearch: sparc 

%description 
Various functions from the libraries of Venables and
Ripley, `Modern Applied Statistics with S-PLUS' (2nd edition),
Springer, 1998. ISBN 0-387-94979-8

%changelog
* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- base builds for alpha and i386, so removed Exlusivearch and added
  Excludearch: alpha
- built for 6.1

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- new version, group, etc., built for powertools


%prep
%setup -n VR

%build
#
# Install it. You need R-base installed on your build machine for this
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library
for pkg in MASS class nnet spatial; do
   R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library $pkg
done

%files 
%attr(-,root,root) /usr/lib/R/library/MASS
%attr(-,root,root) /usr/lib/R/library/class
%attr(-,root,root) /usr/lib/R/library/nnet
%attr(-,root,root) /usr/lib/R/library/spatial
%attr(-,root,root) %doc CHANGES CHANGES.R COPYING DESCRIPTION LICENCE
%attr(-,root,root) %doc VERSION WHATS.NEW scripts

%clean
rm -rf  ${RPM_BUILD_ROOT}/usr/lib/R/library/MASS
rm -rf  ${RPM_BUILD_ROOT}/usr/lib/R/library/class
rm -rf  ${RPM_BUILD_ROOT}/usr/lib/R/library/nnet
rm -rf  ${RPM_BUILD_ROOT}/usr/lib/R/library/spatial
rm -rf  ${RPM_BUILD_ROOT}/usr/lib/R/library/LibIndex
rm -rf ${RPM_BUILD_ROOT}/usr/doc/R-VR-%{PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ]; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi
